Skip to content
SilanDocs
Main site

Drag from one target to another.

REST operation act (POST /v1/devices/{deviceId}/actions)
Action type drag
Needs a device yes
Read only no
Profiles full
Name Required Type Goes to What it is
device_id yes string path deviceId Stable device id such as ios:00008120-001A2B3C4D5E6F70 or android:R58M123ABC.
lease no string header Silan-Lease Lease token when the device is claimed.
from yes object body action.from Exactly one of a point, an element ref from the latest observation, or a query.
to yes object body action.to Exactly one of a point, an element ref from the latest observation, or a query.
hold_ms no integer body action.holdMs
speed no slow, medium, fast body action.speed
return no object body returning
drag({ device_id: "ios:00008120-001A2B3C4D5E6F70", from: …, to: … })